//
//  ViewController.swift
//  swiftTest
//
//  Created by 松井豊 on 2015/01/21.
//  Copyright (c) 2015年 松井豊. All rights reserved.
//

import UIKit

class ViewController: UIViewController, UITableViewDelegate, UITableViewDataSource {

    @IBOutlet var tableView: UITableView!

    override func viewDidLoad() {
        super.viewDidLoad()
        
        self.tableView.dataSource = self
        self.tableView.delegate = self
        
    }


    func numberOfSectionsInTableView(tableView: UITableView) -> Int {
        return 1
    }

    func tableView(tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        return 10
    }
    
    func tableView(tableView: UITableView, cellForRowAtIndexPath indexPath: NSIndexPath) -> UITableViewCell {
        
        var cell = tableView.dequeueReusableCellWithIdentifier("Cell") as UITableViewCell
        
        var label = cell.viewWithTag(1) as UILabel
        
        label.numberOfLines = 0
        
        label.text = ""
            + "１２３４５６７８９０１２３４５６７８９０１２３４５６７８９０１２３４５６７８９０１２３４５６７８９０１２３４５６７８９０１２３４５６７８９０１２３４５６７８９０１２３４５６７８９０１２３４５６７８９０"
        
        return cell
    }
    
    
    func tableView(tableView: UITableView, heightForRowAtIndexPath indexPath: NSIndexPath) -> CGFloat {

        let text = ""
            + "１２３４５６７８９０１２３４５６７８９０１２３４５６７８９０１２３４５６７８９０１２３４５６７８９０１２３４５６７８９０１２３４５６７８９０１２３４５６７８９０１２３４５６７８９０１２３４５６７８９０"

            let font = UIFont.systemFontOfSize(17)

            let bounds = CGSizeMake(self.view.frame.size.width - 16, CGFloat.max)
            
            let attributes = [NSFontAttributeName: font]
            
            let options = unsafeBitCast(NSStringDrawingOptions.UsesLineFragmentOrigin.rawValue |
                NSStringDrawingOptions.UsesFontLeading.rawValue, NSStringDrawingOptions.self)
            
            let rect:CGRect = text.boundingRectWithSize(bounds, options: options, attributes: attributes, context: nil)

            var size:CGSize? = CGSize(width: rect.size.width, height: rect.size.height)
            
        
        var height = size?.height
        
        if height! + 20 > 70 {
            return height! + 20
        } else {
            return 70
        }
    }
    
}

